> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heydollr.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Client Obtain Token



## OpenAPI

````yaml https://api.heydollr.app/openapi.json post /{version}/jwt/client/obtain/token
openapi: 3.1.0
info:
  title: Dollr Open API
  version: 1.0.0
servers: []
security: []
paths:
  /{version}/jwt/client/obtain/token:
    post:
      tags:
        - jwt
      summary: Client Obtain Token
      operationId: client_obtain_token__version__jwt_client_obtain_token_post
      parameters:
        - name: version
          in: path
          required: true
          schema:
            const: v1
            type: string
            title: API version
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClientCredentialObtainTokenPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObtainTokenResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ClientCredentialObtainTokenPayload:
      properties:
        client_id:
          type: string
          title: Client Id
        client_secret:
          type: string
          format: password
          title: Client Secret
          writeOnly: true
      type: object
      required:
        - client_id
        - client_secret
      title: ClientCredentialObtainTokenPayload
    ObtainTokenResponse:
      properties:
        access_token:
          type: string
          title: Access Token
        expires_in:
          type: integer
          title: Expires In
          description: Expiry duration in minutes
      type: object
      required:
        - access_token
        - expires_in
      title: ObtainTokenResponse
      description: ObtainTokenResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````